LambdaWeb / Client / list_web_function_revisions

list_web_function_revisions

LambdaWeb.Client.list_web_function_revisions(**kwargs)

Lists revisions for a web function. Use pagination to ensure that the operation returns quickly and successfully.

See also: AWS API Documentation

Request Syntax

response = client.list_web_function_revisions(
    functionName='string',
    filters=[
        {
            'name': 'string',
            'values': [
                'string',
            ]
        },
    ],
    maxResults=123,
    nextToken='string'
)
Parameters:
  • functionName (string) –

    [REQUIRED]

    The web function.

    You can specify either of the following:

    • The function name, for example my-function.

    • The function ARN.

    The length constraint applies only to the full ARN. If you specify only the function name, it is limited to 64 characters in length.

  • filters (list) –

    A list of filters to apply to the results. The only supported filter name is state. If you don’t specify a filter, the operation returns all revisions for the web function.

    • (dict) –

      A filter to apply when listing resources.

      • name (string) – [REQUIRED]

        The name of the filter field.

      • values (list) – [REQUIRED]

        The values to match for the filter.

        • (string) –

  • maxResults (integer) – The maximum number of results to return in a single call. Minimum value of 1, maximum value of 50. Default is 50.

  • nextToken (string) – The pagination token that’s returned by a previous request to retrieve the next page of results.

Return type:

dict

Returns:

Response Syntax

{
    'revisions': [
        {
            'revisionArn': 'string',
            'revisionId': 'string',
            'description': 'string',
            'state': 'Pending'|'Active'|'Failed',
            'stateReason': 'string',
            'createdAt': datetime(2015, 1, 1)
        },
    ],
    'nextToken': 'string'
}

Response Structure

  • (dict) –

    Contains the list of web function revisions.

    • revisions (list) –

      A list of revision summaries for the web function.

      • (dict) –

        A summary of a web function revision.

        • revisionArn (string) –

          The Amazon Resource Name (ARN) of the revision.

        • revisionId (string) –

          The identifier of the revision.

        • description (string) –

          A description of the revision.

        • state (string) –

          The current state of the revision.

        • stateReason (string) –

          The reason for the current state of the revision.

        • createdAt (datetime) –

          The date and time the revision was created.

    • nextToken (string) –

      The pagination token that’s included if more results are available. Use this value as the nextToken request parameter in a subsequent call to retrieve the next page of results.

Exceptions

  • LambdaWeb.Client.exceptions.AccessDeniedException

  • LambdaWeb.Client.exceptions.InternalServerException

  • LambdaWeb.Client.exceptions.ValidationException

  • LambdaWeb.Client.exceptions.ResourceNotFoundException

  • LambdaWeb.Client.exceptions.ThrottlingException